Subject: "git commit --amend --only --" nevertheless commits staged changes

From: Marc Strapetz <[email-masked]>
Date: Tue, 10 Jul 2012 12:41:13 +0200

When using "git commit --amend --only --message <message> --", I'd
expect to have just the commit message of my last commit changed,
according to the man page:

"--only Make a commit only from the paths specified on the command line,
disregarding any contents that have been staged so far. [...] If this
option is specified together with --amend, then no paths need to be
specified, which can be used to amend the last commit without committing
changes that have already been staged."

However, all staged changes are committed as well. So looks like either
the man page or Git is wrong here!?

Tested with 1.7.10.msysgit.1.

-Marc